import request from '@/utils/request'

// 查询考试、模拟考试考生详情列表
export function listExamSimulateInfo(query) {
  return request({
    url: '/hezhi/examSimulateInfo/list',
    method: 'get',
    params: query
  })
}

// 查询考试、模拟考试考生详情详细
export function getExamSimulateInfo(examSimulateInfoId) {
  return request({
    url: '/hezhi/examSimulateInfo/' + examSimulateInfoId,
    method: 'get'
  })
}

// 新增考试、模拟考试考生详情
export function addExamSimulateInfo(data) {
  return request({
    url: '/hezhi/examSimulateInfo',
    method: 'post',
    data: data
  })
}

// 修改考试、模拟考试考生详情
export function updateExamSimulateInfo(data) {
  return request({
    url: '/hezhi/examSimulateInfo',
    method: 'put',
    data: data
  })
}

// 删除考试、模拟考试考生详情
export function delExamSimulateInfo(examSimulateInfoId) {
  return request({
    url: '/hezhi/examSimulateInfo/' + examSimulateInfoId,
    method: 'delete'
  })
}
